IOS60Patched after Preloader

Discussion in 'Wii - Hacking' started by ThePet, Nov 19, 2009.

Nov 19, 2009

IOS60Patched after Preloader by ThePet at 8:33 AM (2,083 Views / 0 Likes) 8 replies

  1. ThePet
    OP

    Newcomer ThePet Newbie

    Joined:
    Nov 19, 2009
    Messages:
    5
    Country:
    Czech Republic
    Hi all,

    I softmoded my Wii few days ago. I was on 3.4E, everything run fine. Problem (= my question) is I also installed Preloader during "this part" of softmodding.

    Then I decided to upgrade to 4.1E. Everything run fine again. Now I am on 4.1E, HBC installed, NeoGamma installed. I am able to play backed-up games.

    After upgrade to 4.1E Preloader seems to disappear - Wii boots to System Menu and Preloader is not accessible anymore (just like it was uninstalled - but I did not do that, only updated to 4.1E). It is not a problem as I didn't like Preloader (I know it migh save my Wii, that's why I installed it previously, but I like my Wii without it as it boots faster and have other minor advantages).

    I would now like to install IOS60Patched, but I am afraid whether I won't brick my Wii. I googled many articles telling about problems when installing IOS60Patched after Preloader...

    Do you think it is safe to install IOS60Patched for me? I again repeat - I had Preloader installed, now it seems to be uninstalled, but only by updating to 4.1E from 3.4E.

    And the last question - what is the purpose of IOS60Patched after all? As I understand from what I googled, it is to enable to play backed-up software (e.g. VC games) from SD card. Is this correct? Does it allows something else?

    Thank you in advance for your advise.
     
  2. bazamuffin

    Member bazamuffin RESIDENT DILF

    Joined:
    Feb 1, 2009
    Messages:
    2,036
    Location:
    Shmashmortion Clinic
    Country:
    United Kingdom
    Installation of the systemmenu wad for any system menu will overwrite Preloader. You will have to re-install it to get it back. IOS60Patched will allow you to launch Wiiware games from the SD menu. You may have to install Preloader AGAIN after installing IOS60Patched if you get an error message.

    Installing IOS60Patched will not overwrite Preloader
     
  3. ThePet
    OP

    Newcomer ThePet Newbie

    Joined:
    Nov 19, 2009
    Messages:
    5
    Country:
    Czech Republic
    Thank you for your reply.

    But my primary question is - is it safe for me to install IOS60Patched after I upgraded to 4.1E from 3.4E where I had Preloader installed?

    I don't care about Preloader, I don't want it anymore.
     
  4. bazamuffin

    Member bazamuffin RESIDENT DILF

    Joined:
    Feb 1, 2009
    Messages:
    2,036
    Location:
    Shmashmortion Clinic
    Country:
    United Kingdom
    If you've downloaded it, I would be wary. Could you not use DOP-IOS to install IOS60 and apply patches yourself? I would install Preloader though, if you do get an error message (as some do) then you can use Preloader to boot to HBC and reinstall Preloader to fix it. Or you can change the system menu IOS with Preloader. Either way, I would have it.

    As far as your 'slow booting' problem goes, does Preloader boot up and you have to select system menu?
     
  5. stev418

    Member stev418 GBAtemp Fan

    Joined:
    Sep 25, 2007
    Messages:
    492
    Country:
    Australia
    sort of right

    If you install IOS60 patched AFTER preloader, you would need to install preloader AGAIN since preloader applies additional patches to the system IOS (IOS60 in your case)

    a 'patched' IOS60 on 4.x menu will allow wiiware vc and channels that have fake signed .tmd to load from SD, if your wiiware/vc has a REAL signed .tmd the wiiware/vc will load fine from SD without IOS60 with trucha bug

    EDIT: i would agree to be weary of installing system ios 'manually' DOP-ios for IOS60 would be better after updating via one of wanins system updaters.
     
  6. bazamuffin

    Member bazamuffin RESIDENT DILF

    Joined:
    Feb 1, 2009
    Messages:
    2,036
    Location:
    Shmashmortion Clinic
    Country:
    United Kingdom
    I did say MAY have to install Preloader again, some people get 'system files corrupt' message after installing IOS60Patched and apparently installing Preloader again resolves this.

    IOS60 doesn't apply to 4.x, just 4.0/4.1 as 4.2 runs under IOS70. Wanin's 4.0 and 4.1 updaters have been place on the 'apps that brick list' havent they?

    http://gbatemp.net/index.php?showtopic=185935
     
  7. ThePet
    OP

    Newcomer ThePet Newbie

    Joined:
    Nov 19, 2009
    Messages:
    5
    Country:
    Czech Republic
    Thank you guys for your replies! I really appreciate that.

    So how should I proceed now? First install Preloader, then DOP-IOS IOS60, then may be reinstall Preloader (if I have "System files are corrupted" message). Correct?

    Should I install Preloader v0.29 or v0.30? If v0.30, then it says I first have to DOP-IOS IOS60 (it needs to be patched with ES_Verify for Preloader to work) - then the above mentioned process will not work.

    I'm a bit confused, seems like a circle to me...

    Just to be sure I again repeat - I already am on 4.1E System Menu, upgraded from 3.4E with Preloader v0.29, which after upgrade disappeared.

    No, it booted to System Menu (3.4E), I had set "System Menu" in Autoboot option of Preloader. But it was a bit slower then without Preloader... :-) And for example when something restarted my Wii (i.e. returning to System Menu from some channel), I always had to click A for warning message and so on.
     
  8. ThePet
    OP

    Newcomer ThePet Newbie

    Joined:
    Nov 19, 2009
    Messages:
    5
    Country:
    Czech Republic
    After few more reading I think correct process for me now is:
    1) install Preloader v0.30
    2) restart Wii
    3) start HBC from Preloader (it will work hopefully [​IMG] - otherwise I'm probably bricked)
    4) start DOP-IOS from HBC and use it for IOS60 (v6174, not the most recent one)
    5) restart Wii
    6) start System Menu from Preloader

    If all works, then set Preloader options and hacks. If not, then reinstalling Preloader should help.

    Will Preloader v0.30 work with untouched IOS60 (I'd like to be sure that I won't get bricked after step 2)?

    Please confirm I am correct.
     
  9. ThePet
    OP

    Newcomer ThePet Newbie

    Joined:
    Nov 19, 2009
    Messages:
    5
    Country:
    Czech Republic
    Justed DOPed-IOS60 - worked. Thank you all for help.

    I will now probably try to install HERMES cIOSes and then Bootloader GX.
     

Share This Page